import { LitElement } from 'lit';
declare const UUIRefElement_base: (new (...args: any[]) => import("@umbraco-ui/uui-base/lib/mixins").SelectOnlyMixinInterface) & (new (...args: any[]) => import("@umbraco-ui/uui-base/lib/mixins").SelectableMixinInterface) & typeof LitElement;
/**
 *  @element uui-ref
 *  @fires {UUIRefEvent} open - fires when the ref is opened
 *  @fires {UUISelectableEvent} selected - fires when the ref is selected
 *  @fires {UUISelectableEvent} unselected - fires when the ref is unselected
 *  @description - Base ref component to be extended by specific ref elements. Does not have a tag.
 */
export declare class UUIRefElement extends UUIRefElement_base {
    static styles: import("lit").CSSResult[];
    /**
     * Set tot true to disable
     * @type {boolean}
     * @attr
     * @default false
     */
    disabled: boolean;
    /**
     * Set to true to display error state
     * @type {boolean}
     * @attr
     * @default false
     */
    error: boolean;
    protected handleOpenClick(e: Event): void;
    protected handleOpenKeydown(e: KeyboardEvent): void;
}
declare global {
    interface HTMLElementTagNameMap {
        'uui-ref': UUIRefElement;
    }
}
export {};
